找回密码
 立即注册

QQ登录

只需一步,快速开始

铁威马网络网络存储

[教程分享] My Cloud 4.x 直接安装optware-ng

[复制链接]
本帖最后由 zengchen228 于 2016-9-13 12:06 编辑

详见https://github.com/Optware/Optware-ng#news

第一步:初始化安装环境
  1. mkdir /DataVolume/opt;
  2. mount --b /DataVolume/opt /opt;
复制代码


第二步:初始化Optware-ng, 直接执行以下命令
  1. wget -O - http://ipkg.nslu2-linux.org/optware-ng/bootstrap/buildroot-armeabihf-bootstrap.sh | sh
复制代码


第三步:追加环境变量
  1. sed -i '/\/opt\/bin/d' ~/.bashrc;
  2. echo "export PATH=/opt/bin:/opt/sbin:\$PATH" >> ~/.bashrc
复制代码


第四步:重新引入.bashrc
  1. source ~/.bashrc
复制代码


第五步:安装完毕
  1. 包管理器:ipkg
  2. 更新包列表:ipkg update
  3. 安装软件包:ipkg install <包名>
  4. 查找软件包:ipkg list | grep <关键字>
  5. 升级软件包:ipkg upgrade
  6. 卸载软件包:ipkg remove <包名>
复制代码


例如,安装aria2:
  1. ipkg install aria2 libuv
复制代码


例如,安装transmission:
  1. ipkg install transmission
复制代码


例如,安装Python3:
  1. ipkg install python3
复制代码


例如,…………
  1. 尼玛,哥不干了……
复制代码
使用道具 举报 回复
啥也不说了,感谢楼主分享哇!
使用道具 举报 回复 支持 反对
optware的软件版本和数量都不如entware新和多,不知道楼主有没有兴趣折腾下出个教程。譬如说aria2optware还是1.18版。
使用道具 举报 回复 支持 反对
另外请教一下楼主发布的Binary packages也是一个独立环境包么?不知道都有什么软件。我试了下最新的btsync2.4版可以在该环境下运行,但是xxnet和goproxy无法运行。
使用道具 举报 回复 支持 反对
cc188112600 发表于 2016-9-17 16:08
另外请教一下楼主发布的Binary packages也是一个独立环境包么?不知道都有什么软件。我试了下最新的btsync2 ...

Binary packages是单独编译的一套,独立于optware-ng。仅内置了tr-2.92,aria2-1.26.1等少数几个。
使用道具 举报 回复 支持 反对
安装完了aria2 怎么用啊啊 设置文件在哪里啊
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 搜索 官方QQ群